0 Replies Latest reply on Mar 28, 2007 5:07 PM by Flush

    Is the detached invoker compliant with different versions of

    Flush Newbie

      Hi, I'm architecting a JMX Distribute Agent Level application where remote clients will use the detached Invoker to start/stop/monitor Schedule jobs running on different Jboss services. My architecture consists in having the remote client as a war file deployed on a Tomcat s.c. and having the client to retrieve a JNDI Context through HttpNamingContextFactory.

      In order to do so, I'll need jbossall-client.jar in my war (for the factory to be found). In a scenario where I have, say:

      1) Service1 --> Jboss 3
      2) Service2 --> Jboss 4.0.2
      3) Service3 --> JBoss 4.0.5GA

      and supposing that I'll pack jbossall-client taken from JBoss 4.0.5GA, will the communication with the naming service on Service1 work? I mean will the proxy returned by the HttpInvoker be compatible between different versions?

      Thanks for any reply.